Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 122202 - media-sound/playground (New Package)
Summary: media-sound/playground (New Package)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://home.gna.org/playground/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 122203 123198
  Show dependency tree
 
Reported: 2006-02-08 18:35 UTC by Thomas Cort (RETIRED)
Modified: 2006-05-27 06:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
playground-0.2.ebuild (playground-0.2.ebuild,492 bytes, text/plain)
2006-02-08 18:36 UTC, Thomas Cort (RETIRED)
Details
playground-xmms-0.2.ebuild (playground-0.2.ebuild,725 bytes, text/plain)
2006-02-17 12:04 UTC, Ruud Althuizen
Details
Playground-0.3 (playground-0.3.ebuild,696 bytes, text/plain)
2006-03-24 10:02 UTC, Ruud Althuizen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Cort (RETIRED) gentoo-dev 2006-02-08 18:35:30 UTC
An ebuild for playground will be attached. playground is a simple gnome panel applet that lets you control basic functions of audio players.
Comment 1 Thomas Cort (RETIRED) gentoo-dev 2006-02-08 18:36:30 UTC
Created attachment 79293 [details]
playground-0.2.ebuild
Comment 2 Ruud Althuizen 2006-02-16 12:04:29 UTC
Playground is the replacement for gxmms, as stated on the website of gxmms (http://www.nongnu.org/gxmms/).
Comment 3 Ruud Althuizen 2006-02-16 13:01:55 UTC
I'm sorry man, but your ebuilds are seriously flawed. First of all the configure script needs the --with-gconf-schema-file-dir=/etc/gconf/schemas option, otherwise it will install the schema where it isn't supposed to be, afaik.
What you did do right is not including the 'xmms' and 'bmp' USE-flags, as those extra ebuilds require playground to be installed before them.
Anyway, I might be missing something. But with the ebuilds that you supplied it just won't work. If you did any extra things to get them to work I'd be happy to try it out and change the ebuild where needed.
Comment 4 Thomas Cort (RETIRED) gentoo-dev 2006-02-16 13:43:31 UTC
(In reply to comment #3)
> I'm sorry man, but your ebuilds are seriously flawed. First of all the
> configure script needs the --with-gconf-schema-file-dir=/etc/gconf/schemas
> option, otherwise it will install the schema where it isn't supposed to be,
> afaik.
Are you sure? Here is some selected output from "emerge playground" that makes me think otherwise:

Using config source xml::/etc/gconf/gconf.xml.defaults for schema installation

Using $(sysconfdir)/gconf/schemas as install directory for schema files

 /bin/install -c -m 644 'playground_applet.schemas' '/var/tmp/portage/playground-0.2/image//etc/gconf/schemas/playground_applet.schemas'


> with the ebuilds that you supplied it just won't work
It works for me. After you emerge playground and playground-xmms you must add the applet to the panel, go to the playgound configuration options and select the playground xmms plugin.
Comment 5 Ruud Althuizen 2006-02-17 12:00:42 UTC
Oke, I found the error, I still had gxmms installed. I changed the ebuild to have a blocker for gxmms and a warning that you also need to install plug-ins.
Comment 6 Ruud Althuizen 2006-02-17 12:04:32 UTC
Created attachment 80035 [details]
playground-xmms-0.2.ebuild
Comment 7 Thomas Cort (RETIRED) gentoo-dev 2006-02-17 14:41:10 UTC
(In reply to comment #6)
> Created an attachment (id=80035) [edit]
> playground-xmms-0.2.ebuild
The ebuild should be named playground-0.2.ebuild. playground-xmms is a separate package (see Bug #122203).

(In reply to comment #5)
> blocker for gxmms
Thanks!

> a warning that you also need to install plug-ins
It needs better spacing. You should also check the spelling... example "apropiat" should be "appropriate".

See http://dev.gentoo.org/~ciaranm/docs/mw-faq/spacing.txt
Comment 8 Ruud Althuizen 2006-03-24 10:02:30 UTC
Created attachment 83025 [details]
Playground-0.3

Version bump for media-sound/playground.
Comment 9 Thomas Cort (RETIRED) gentoo-dev 2006-05-27 06:43:26 UTC
I'm closing this bug as WONTFIX since the only plugins available are for obsolete media players (beep-media-player and xmms).